summaryrefslogtreecommitdiffstats
path: root/dhcp_wizard/scripts/check_range.sh
diff options
context:
space:
mode:
Diffstat (limited to 'dhcp_wizard/scripts/check_range.sh')
-rwxr-xr-xdhcp_wizard/scripts/check_range.sh83
1 files changed, 83 insertions, 0 deletions
diff --git a/dhcp_wizard/scripts/check_range.sh b/dhcp_wizard/scripts/check_range.sh
new file mode 100755
index 00000000..4f5de970
--- /dev/null
+++ b/dhcp_wizard/scripts/check_range.sh
@@ -0,0 +1,83 @@
+#!/bin/bash
+#
+# Wizard
+#
+# Copyright (C) 2000 Mandrakesoft.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+# See file LICENSE for further informations on licensing terms.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+#
+# Authors: Jerome Dumonteil, Maurizio De Cecco, Enzo Maggi
+# icons: Helene Durosini <ln@mandrakesoft.com>
+# <corporate@mandrakesoft.com> http://www.mandrakesoft.com
+
+# script for wizard basic network configuration
+#
+# assuming :
+# - C class network, mask 255.255.255.0
+#
+# echo on stdout range of ip for DHCP subnet (second part of range)
+
+echo_debug "in $0"
+
+r1_trunc=${wiz_ip_range1%.*}
+r2_trunc=${wiz_ip_range2%.*}
+d1=${wiz_ip_range1##*.}
+d2=${wiz_ip_range2##*.}
+
+se=`get_var wiz_ip_server`
+
+s_trunc=${se%.*}
+ds=${se##*.}
+
+if [ -z "${r1_trunc}" ]; then
+ echo_debug "incorrect address range 1"
+ exit 1
+fi
+
+if [ -z "${r2_trunc}" ]; then
+ echo_debug "incorrect address range 2"
+ exit 1
+fi
+
+if [ "${s_trunc}" != "${r1_trunc}" -o "${s_trunc}" != "${r2_trunc}" ]; then
+ echo_debug "range not in network"
+ exit 1
+fi
+
+if [ -z "${d1}" -o -z "${d2}" ]; then
+ echo_debug "bad range"
+ exit 1
+fi
+
+if [ ${d1} -gt 254 -o ${d1} -lt 1 -o ${d2} -gt 254 -o ${d2} -lt 1 ]; then
+ echo_debug "bad range"
+ exit 1
+fi
+
+if [ ${d1} -gt ${d2} ]; then
+ echo_debug "bad range "
+ exit 1
+fi
+
+if [ ${ds} -ge ${d1} -a ${ds} -le ${d2} ]; then
+ echo_debug "server in range"
+ exit 1
+fi
+
+
+# should be ok
+exit 10
+